## com.lowagie.text.rtf
Interface RtfBasicElement

All Known Subinterfaces:
  RtfExtendedElement

All Known Implementing Classes:
  RtfCell, RtfCodePage, RtfColor, RtfColorList, RtfElement, RtfField, RtfFont, RtfFontList, RtfHeaderFooter, RtfHeaderFooterGroup, RtfList, RtfListTable, RtfPageSetting

public interface RtfBasicElement

The RtfBasicElement interface defines the interface for elements that can be added to the RtfWriter. Version: $Id: RtfBasicElement.java,v 1.16 2005/05/04 14:33:37 blowagie Exp $

Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`static byte[]` `CLOSE_GROUP` Constant for the end of an rtf group
`static byte[]` `COMMA_DELIMITER` Constant for a comma delimiter in rtf
`static byte[]` `DELIMITER` Constant for a delimiter in rtf
`static byte[]` `OPEN_GROUP` Constant for the beginning of a rtf group
`static double` `TWIPS_FACTOR` The factor to use for translating from iText to rtf measurments

Method Summary
`void` `setInHeader(boolean inHeader)` Sets whether this RtfBasicElement is in a header
`void` `setInTable(boolean inTable)` Sets whether this RtfBasicElement is in a table
`void` `setRtfDocument(RtfDocument doc)` Sets the RtfDocument this RtfElement belongs to
`byte[]` `write()` Return the content of the Element in a byte array

Field Detail

### OPEN_GROUP

    public static final byte[] OPEN_GROUP

  Constant for the beginning of a rtf group

### CLOSE_GROUP

    public static final byte[] CLOSE_GROUP

  Constant for the end of an rtf group

### DELIMITER

    public static final byte[] DELIMITER

  Constant for a delimiter in rtf

### COMMA_DELIMITER

    public static final byte[] COMMA_DELIMITER

  Constant for a comma delimiter in rtf

### TWIPS_FACTOR

    public static final double TWIPS_FACTOR

  The factor to use for translating from iText to rtf measurments

  See Also:
    Constant Field Values

Method Detail

### write

    public byte[] write()

  Return the content of the Element in a byte array

  Returns:
    The byte array containing the data

### setRtfDocument

    public void setRtfDocument(RtfDocument doc)

  Sets the RtfDocument this RtfElement belongs to

  Parameters:
    `doc` - The RtfDocument to use

### setInTable

    public void setInTable(boolean inTable)

  Sets whether this RtfBasicElement is in a table

  Parameters:
    `inTable` - Whether this RtfBasicElement is in a table

### setInHeader

    public void setInHeader(boolean inHeader)

  Sets whether this RtfBasicElement is in a header

  Parameters:
    `inHeader` - Whether this RtfBasicElement is in a header